version: '3.8'
services:
  wallabag:
    image: wallabag/wallabag:latest
    container_name: wallabag
    restart: unless-stopped
    environment:
      - SYMFONY__ENV__DATABASE_DRIVER=pdo_sqlite
      - SYMFONY__ENV__DATABASE_HOST=127.0.0.1
      - SYMFONY__ENV__DATABASE_PORT=~
      - SYMFONY__ENV__DATABASE_NAME=symfony
      - SYMFONY__ENV__DATABASE_USER=~
      - SYMFONY__ENV__DATABASE_PASSWORD=~
      - SYMFONY__ENV__DATABASE_CHARSET=utf8
      - SYMFONY__ENV__DATABASE_TABLE_PREFIX=wallabag_
      - SYMFONY__ENV__DATABASE_PATH=/var/www/wallabag/data/db/wallabag.sqlite
      - SYMFONY__ENV__DOMAIN_NAME=https://wb.vish.gg
      - SYMFONY__ENV__SERVER_NAME="Wallabag"
      - SYMFONY__ENV__FOSUSER_REGISTRATION=false
      - SYMFONY__ENV__FOSUSER_CONFIRMATION=false
    volumes:
      - /opt/wallabag/data:/var/www/wallabag/data
      - /opt/wallabag/images:/var/www/wallabag/web/assets/images
    ports:
      - "127.0.0.1:8880:80"
    healthcheck:
      test: ["CMD", "wget", "--no-verbose", "--tries=1", "--spider", "http://localhost:80"]
      interval: 30s
      timeout: 10s
      retries: 3
